Liferay Portal 6.1 Compatibility Matrix

Liferay Portal Enterprise Edition (EE) is only supported under the following configurations:

Type Certified Supported

Application Server

  • JBoss 5.1 EAP
  • JBoss 7.1 AS**
  • Glassfish v3.1
  • Tcat 6.4
  • Tomcat 7.0
  • Tomact 6.0
  • Weblogic 11
  • WebSphere 7.0
  • WebSphere 8.5
  • JBoss 6.0 EAP**
  • JOnAS 5.2
  • Resin 4
  • tcServer 2.6
  • Tomcat 8.0 (6.1 EE GA3 Portal-65+)
  • Weblogic 10
  • Weblogic 10.3
  • WebSphere 6.1****
  • WebSphere 8.0

Database

  • DB2 9.7
  • Hypersonic (HSQL)
  • MySQL 5.5
  • MySQL 5.1
  • Oracle 11.2
  • Oracle 10.2
  • PostgreSQL 9.0
  • PostgreSQL 8.4
  • SQL Server 2008 R2
  • SQL Server 2005
  • Sybase ASE 15.5
  • DB2 10.5
  • MySQL 5.0
  • Oracle 11.1
  • SQL Server 2008

Operating System

  • AIX 7.1
  • AIX 6.1
  • CentOS 6
  • CentOS 5
  • Red Hat Enterprise 6
  • Red Hat Enterprise 5
  • Solaris 10
  • Solaris 11
  • Windows 7
  • Windows Server 2008 R2
  • Windows XP
  • HP-UX
  • Mac OS X 10.5+
  • Oracle Linux 6.1
  • Other Linux Distributions
  • Ubuntu 11
  • Ubuntu 10

Browser*

  • Chrome 21
  • Firefox 14
  • Internet Explorer 9
  • Internet Explorer 8
  • Safari 5.1
  • Firefox 3.6
  • Internet Explorer 7
  • Internet Explorer 6
  • Opera

JDK

  • Oracle JRockit 6
  • Oracle JDK 7***
  • Oracle JDK 6
  • Oracle JDK 5****
  • IBM JDK 7***
  • IBM JDK 6
  • IBM JDK 5****
  • Oracle JDK 8*****

 

Certified vs. Supported Environments
1. Certified: Products in the Certified list have undergone automated regression and certification testing by Liferay and are fully supported with a Liferay Enterprise Subscription.
2. Supported: Products in the Supported list have undergone automated regression testing by Liferay and are fully supported with a Liferay Enterprise Subscription.

*Browser support exclusions:
1. Versions of browsers that were released after a major Liferay version release have not been tested and support for these newer browser releases will be provided as a commercially reasonable effort only and may be included in subsequent service releases at Liferay’s discretion.
2. Versions of browsers that were supported with an initial release of a Liferay version that have reached the end of their product lifecycle are no longer tested in subsequent service releases and support for those older browser releases will be provided as a commercially reasonable effort only.
3. “Quirks mode” for all browsers is not supported.
4. Internet Explorer Compatibility modes for all relevant versions are not supported due to poor implementation.
5. Limited support shall be provided for Internet Explorer 6 on a case-by-case basis. Internet Explorer 6’s performance limitations prohibit it from running the latest Internet technologies effectively without experiencing performance degradation.

**JBoss 6.0 EAP and JBoss 7.1 AS
1. JBoss Domain Mode is not supported with Liferay 6.1 EE.

***Oracle JDK 7 and IBM JDK 7
1. Oracle JDK 7 and IBM JDK 7 are only compatible with Liferay 6.1 EE GA2 and Liferay 6.1 EE GA3.
2. Websphere 8 does not support Oracle JDK 7.

****Oracle JDK 5, IBM JDK 5, and Websphere 6.1
1. Oracle JDK 5, IBM JDK 5, and Websphere 6.1 are not supported with Liferay 6.1 EE GA3.

***** Oracle JDK 8
1. Oracle JDK 8 is compatible with 6.1.20+ and a JDK 8 compatible app server.

Download PDF

この記事は役に立ちましたか?
0人中0人がこの記事が役に立ったと言っています